summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Juan M. Lasca2022-08-12 05:14:46 +0200
committer Willy Sudiarto Raharjo2022-08-13 05:40:35 +0200
commitcf8d713f695bbc1cb0a47e3f1ff5d3cd10b2288e (patch)
tree56101930436809b520696fb61998fd8ac70caced
parent53fbbc2bedc7a90a5c240b1eac8e00b62f8584c3 (diff)
downloadslackbuilds-cf8d713f695bbc1cb0a47e3f1ff5d3cd10b2288e.tar.gz
office/homebank: Updated for version 5.5.6. New maintainer.
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--office/homebank/README27
-rw-r--r--office/homebank/doinst.sh1
-rw-r--r--office/homebank/homebank.SlackBuild54
-rw-r--r--office/homebank/homebank.info12
-rw-r--r--office/homebank/slack-desc14
5 files changed, 67 insertions, 41 deletions
diff --git a/office/homebank/README b/office/homebank/README
index 37e6dde12c..7abad3f57b 100644
--- a/office/homebank/README
+++ b/office/homebank/README
@@ -1,7 +1,24 @@
-HomeBank is the free software you have always wanted to manage your
-personal accounts at home. The main concept is to be light, simple
-and very easy to use. It brings you many features that allows you to
-analyze your finances in a detailed way instantly and dynamically with
-powerfull report tools based on filtering and graphical charts.
+HomeBank is an easy personal finance software that will help you
+managing your personal accounting. It is designed to easy to use
+and be able to analyze your personal finances in detail using
+powerful filtering tools and graphs.
+Some of its features are:
+
+* Cross platform, supports GNU/Linux, Microsoft Windows, Mac OS X
+* Import easily from Intuit Quicken, Microsoft Money or other software
+* Import bank account statements (OFX/QFX, QIF, CSV)
+* Duplicate transaction detection at import
+* Multiple currencies, with online update
+* Automatic cheque numbering
+* Automatic category/payee assignment
+* Various account types : Bank, Cash, Asset, Credit card, Liability
+* Scheduled transaction, with post in advance option
+* Transaction template
+* Category split
+* Internal transfer
+* Simple Month/Annual budget
+* Dynamic powerful reports with charts
+* Vehicle cost
+* Translated in around 56 languages
libofx is an optional recommended dependency.
diff --git a/office/homebank/doinst.sh b/office/homebank/doinst.sh
index f482376b48..d5d68ebe18 100644
--- a/office/homebank/doinst.sh
+++ b/office/homebank/doinst.sh
@@ -11,4 +11,3 @@ if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
/usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
fi
fi
-
diff --git a/office/homebank/homebank.SlackBuild b/office/homebank/homebank.SlackBuild
index 9144613727..6dff43d6c5 100644
--- a/office/homebank/homebank.SlackBuild
+++ b/office/homebank/homebank.SlackBuild
@@ -1,8 +1,9 @@
#!/bin/bash
-#
+
# Slackware build script for homebank
-#
-# Copyright 2009-2017 Erik W. Hanson, Minneapolis, MN, USA
+
+# Copyright 2009-2022 Erik W. Hanson, Minneapolis, MN, USA
+# Copyright 2022 Juan M. Lasca <juanmlasca@gmail.com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -11,21 +12,21 @@
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
-# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
-# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=homebank
-VERSION=${VERSION:-5.1.5}
+VERSION=${VERSION:-5.5.6}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -38,9 +39,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -64,7 +62,7 @@ else
LIBDIRSUFFIX=""
fi
-set -eu
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -77,24 +75,36 @@ find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
-o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
--build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
-find $PKG | xargs file | egrep "ELF.*executable" | cut -f1 -d: | \
- xargs strip --strip-unneeded 2> /dev/null || true
+# if it is not possible to fix icon of size 24x24 (originally of size 22x22),
+# delete it.
+if [ -x /usr/bin/convert ]; then
+ convert $PKG/usr/share/icons/hicolor/256x256/apps/homebank.png -resize 24x24 \
+ $PKG/usr/share/icons/hicolor/24x24/apps/homebank.png
+else
+ rm -fr $PKG/usr/share/icons/hicolor/24x24
+fi;
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README \
+cp -a \
+ README AUTHORS COPYING ChangeLog \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/office/homebank/homebank.info b/office/homebank/homebank.info
index 8ed7c7f40f..befa65b72c 100644
--- a/office/homebank/homebank.info
+++ b/office/homebank/homebank.info
@@ -1,10 +1,10 @@
PRGNAM="homebank"
-VERSION="5.1.5"
-HOMEPAGE="http://homebank.free.fr/"
-DOWNLOAD="http://ponce.cc/slackware/sources/repo/homebank-5.1.5.tar.gz"
-MD5SUM="5478428d64085805343eef092dd2c357"
+VERSION="5.5.6"
+HOMEPAGE="http://homebank.free.fr"
+DOWNLOAD="http://homebank.free.fr/public/homebank-5.5.6.tar.gz"
+MD5SUM="0ab8c753a3f7d67f35c649111587223f"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
-MAINTAINER="Erik Hanson"
-EMAIL="erik@slackbuilds.org"
+MAINTAINER="Juan M. Lasca"
+EMAIL="juanmlasca@gmail.com"
diff --git a/office/homebank/slack-desc b/office/homebank/slack-desc
index 0a83181f69..d347372369 100644
--- a/office/homebank/slack-desc
+++ b/office/homebank/slack-desc
@@ -6,14 +6,14 @@
# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
-homebank: homebank (Free easy personal accounting for all!)
+homebank: homebank (personal finance software)
+homebank:
+homebank: HomeBank is an easy personal finance software that will help you
+homebank: managing your personal accounting. It is designed to easy to use
+homebank: and be able to analyze your personal finances in detail using
+homebank: powerful filtering tools and graphs.
+homebank:
homebank:
-homebank: HomeBank is the free software you have always wanted to manage your
-homebank: personal accounts at home. The main concept is to be light, simple
-homebank: and very easy to use. It brings you many features that allows you
-homebank: to analyze your finances in a detailed way instantly and
-homebank: dynamically with powerfull report tools based on filtering and
-homebank: graphical charts.
homebank:
homebank: http://homebank.free.fr/
homebank: